net.i2p.router.web

## Class ConfigNetHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.ConfigNetHelper

-     public class ConfigNetHelper
      extends HelperBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_SHARE_KBPS`
    `static String` | `PROP_I2NP_NTCP_AUTO_IP`
    `static String` | `PROP_I2NP_NTCP_AUTO_PORT`
    `static String` | `PROP_I2NP_NTCP_HOSTNAME` copied from various private components
    `static String` | `PROP_I2NP_NTCP_PORT`

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigNetHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getAddresses()`
    `String` | `getChecked(String prop)`
    `String` | `getConfiguredUdpPort()`
    `String` | `getDynamicKeysChecked()`
    `String` | `getEnableLoadTesting()` removed
    `String` | `getEnableTimeSyncChecked()`
    `String` | `getInboundBurstFactorBox()`
    `String` | `getInboundBurstRate()`
    `String` | `getInboundRate()`
    `String` | `getInboundRateBits()`
    `String` | `getLaptopChecked()`
    `String` | `getNtcphostname()`
    `String` | `getNtcpport()`
    `String` | `getOutboundBurstFactorBox()`
    `String` | `getOutboundBurstRate()`
    `String` | `getOutboundRate()`
    `String` | `getOutboundRateBits()`
    `String` | `getRequireIntroductionsChecked()`
    `int` | `getShareBandwidth()`
    `String` | `getSharePercentageBox()`
    `String` | `getShareRateBits()`
    `String` | `getTcpAutoIPChecked(int mode)`
    `String` | `getTcpAutoPortChecked(int mode)`
    `String` | `getUdpAddress()`
    `String` | `getUdpAutoIPChecked(int mode)`
    `String` | `getUdphostname()`
    `String` | `getUdpIP()`
    `String` | `getUdpPort()`
    `String` | `getUpnpChecked()` default true

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_, _, _, _x, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_I2NP_NTCP_HOSTNAME

          public static final String PROP_I2NP_NTCP_HOSTNAME

      copied from various private components
      See Also:
        Constant Field Values

    - #### PROP_I2NP_NTCP_PORT

          public static final String PROP_I2NP_NTCP_PORT

      See Also:
        Constant Field Values

    - #### PROP_I2NP_NTCP_AUTO_PORT

          public static final String PROP_I2NP_NTCP_AUTO_PORT

      See Also:
        Constant Field Values

    - #### PROP_I2NP_NTCP_AUTO_IP

          public static final String PROP_I2NP_NTCP_AUTO_IP

      See Also:
        Constant Field Values

    - #### DEFAULT_SHARE_KBPS

          public static final int DEFAULT_SHARE_KBPS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigNetHelper

          public ConfigNetHelper()

  - ### Method Detail

    - #### getUdphostname

          public String getUdphostname()

    - #### getNtcphostname

          public String getNtcphostname()

    - #### getNtcpport

          public String getNtcpport()

    - #### getUdpAddress

          public String getUdpAddress()

    - #### getUdpIP

          public String getUdpIP()

    - #### getUdpPort

          public String getUdpPort()

    - #### getConfiguredUdpPort

          public String getConfiguredUdpPort()

    - #### getEnableTimeSyncChecked

          public String getEnableTimeSyncChecked()

    - #### getChecked

          public String getChecked(String prop)

      Parameters:
        `prop` - must default to false

    - #### getDynamicKeysChecked

          public String getDynamicKeysChecked()

    - #### getLaptopChecked

          public String getLaptopChecked()

    - #### getTcpAutoPortChecked

          public String getTcpAutoPortChecked(int mode)

    - #### getTcpAutoIPChecked

          public String getTcpAutoIPChecked(int mode)

    - #### getUdpAutoIPChecked

          public String getUdpAutoIPChecked(int mode)

    - #### getUpnpChecked

          public String getUpnpChecked()

      default true

    - #### getRequireIntroductionsChecked

          public String getRequireIntroductionsChecked()

    - #### getAddresses

          public String[] getAddresses()

    - #### getInboundRate

          public String getInboundRate()

    - #### getOutboundRate

          public String getOutboundRate()

    - #### getInboundRateBits

          public String getInboundRateBits()

    - #### getOutboundRateBits

          public String getOutboundRateBits()

    - #### getShareRateBits

          public String getShareRateBits()

    - #### getInboundBurstRate

          public String getInboundBurstRate()

    - #### getOutboundBurstRate

          public String getOutboundBurstRate()

    - #### getInboundBurstFactorBox

          public String getInboundBurstFactorBox()

    - #### getOutboundBurstFactorBox

          public String getOutboundBurstFactorBox()

    - #### getEnableLoadTesting

          public String getEnableLoadTesting()

      removed

    - #### getSharePercentageBox

          public String getSharePercentageBox()

    - #### getShareBandwidth

          public int getShareBandwidth()